# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IDataSource

Packages that use IDataSource
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of IDataSource in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IDataSource
Modifier and Type
Method
Description
`IDataSource`
IDataSet.`getDataSource()`
Returns `IDataSource` for this data set.
`IDataSource`
IReportDesign.`getDataSource(String name)`
method to get data source design by name